Page MenuHomePhabricator

Enable description usage tracking on further wikis
Closed, ResolvedPublic

Description

I suggest to also enable description usage tracking on further wikis. Currently we don't have a single description usage, even though the usage type is active on several wikis.

After some mwgreping for wikis which potentially use descriptions, I identified the following wikis:

  • dewiki
  • hewiki
  • lvwiki
  • mediawikiwiki
  • metawiki
  • nnwiki
  • nowiki
  • ruwikinews
  • zhwiki

Also I suggest ruwiki: It has so many usages that there just have to be some description usages (you would think…).

Event Timeline

hoo created this task.Oct 18 2017, 5:26 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 18 2017, 5:26 PM
hoo updated the task description. (Show Details)Oct 18 2017, 5:28 PM
Restricted Application added subscribers: jeblad, Cosine02. · View Herald TranscriptOct 18 2017, 5:28 PM

That is fine by me - let's leave ruwiki aside for now while we finish purging up its recentchanges table (T177772) on all the pending hosts.
Please keep giving us a heads up on the irc channel before you enable it on those new wikis.

Thanks!

Change 385340 had a related patch set uploaded (by Hoo man; owner: Hoo man):
[operations/mediawiki-config@master] Enable description usage tracking on further wikis

https://gerrit.wikimedia.org/r/385340

hoo added a comment.Oct 20 2017, 10:00 AM

Deployment scheduled for Monday (Oct 23) 13:00–14:00 UTC.

Note: We still don't have a single usage from the current set of wikis… so I expect this to also not have much of an impact (if any).

hoo added a comment.Oct 23 2017, 10:04 AM

I just moved the deploy from 13:00–14:00 UTC today to 12:00–13:00 UTC, as that fits my schedule better and allows me to do more monitoring of the changes and their impact.

Sounds good, thanks for the heads up!

Change 385340 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable description usage tracking on further wikis

https://gerrit.wikimedia.org/r/385340

Mentioned in SAL (#wikimedia-operations) [2017-10-23T12:03:25Z] <hoo@tin> Synchronized wmf-config/InitialiseSettings.php: Enable description usage tracking on further wikis (T178515) (duration: 00m 47s)

hoo closed this task as Resolved.Oct 23 2017, 12:18 PM
hoo removed a project: Patch-For-Review.

This has been deployed. Yet there are no description usages :/

Liuxinyu970226 moved this task from Backlog to Closed on the Chinese-Sites board.Oct 24 2017, 4:05 AM